CVE-2023-51442

Name
CVE-2023-51442
Description
Navidrome is an open source web-based music collection server and streamer. A security vulnerability has been identified in navidrome's subsonic endpoint, allowing for authentication bypass. This exploit enables unauthorized access to any known account by utilizing a JSON Web Token (JWT) signed with the key "not so secret". The vulnerability can only be exploited on instances that have never been restarted. Navidrome supports an extension to the subsonic authentication scheme, where a JWT can be provided using a `jwt` query parameter instead of the traditional password or token and salt (corresponding to resp. the `p` or `t` and `s` query parameters). This authentication bypass vulnerability potentially affects all instances that don't protect the subsonic endpoint `/rest/`, which is expected to be most instances in a standard deployment, and most instances in the reverse proxy setup too (as the documentation mentions to leave that endpoint unprotected). This issue has been patched in version 0.50.2.
NVD Severity
unknown
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
security-advisories@github.com https://github.com/navidrome/navidrome/commit/1132abb0135d1ecaebc41ed97a1e908a4ae02f7c
security-advisories@github.com https://github.com/navidrome/navidrome/security/advisories/GHSA-wq59-4q6r-635r

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:navidrome:navidrome:*:*:*:*:*:*:*:* navidrome >= None < 0.50.2

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
navidrome 3.19-community 0.50.0-r0 Tom Lebreux <me@tomlebreux.com> possibly vulnerable